#import <objc/Object.h>
#import <bsd/sys/param.h>


@class HashTable, View;


@interface TalkController : Object
{
		char        *topic;
		char         connectionUName[MAXPATHLEN];
		char         connectionCode[64];
		HashTable   *clientTable;
		View        *document;
		BOOL         codeSet;
}

+ newFromNib;

- setup;
- close:sender;

- (View *)addClientViewWith:(View *)aDocument
		from:(const char*)aClientUName
		forCode:(const char*)aCode;
- (BOOL)clientIsDying:sender;

- (const char *)connectionCode;
- setConnectionCode:(const char *)aCode;

- (const char *)connectionName;
- setConnectionName:(const char*)name;

- markClientUNameInvited:(const char *)aClientUName
		forCode:(const char *)aCode;
- (BOOL)hasClientUName:(const char *)aClientUName
		andCode:(const char *)aCode;
- viewForClientUName:(const char *)aClientUName
		andCode:(const char *)aCode;
- removeClientUName:(const char *)aClientUName
		forCode:(const char *)aCode;

- (const char *)topic;
- setTopic:(const char*)aTopic;

- (View *)document;

- (BOOL)windowIsStayAbove;
- toggleStayAbove:sender;

@end
